Page MenuHomePhabricator

Toolforge toolviews API could return views for all dates
Closed, ResolvedPublic

Description

The API of the Toolforge toolviews program should be able to return hits for all dates for a specific tool.

Event Timeline

Fnielsen created this task.Jul 2 2019, 5:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2019, 5:39 PM
bd808 closed this task as Resolved.Jul 8 2019, 1:37 AM
bd808 removed Fnielsen as the assignee of this task.
bd808 added a subscriber: bd808.

I added an API endpoint that will give daily hit counts for a given tool between a start and end date: https://tools.wmflabs.org/toolviews/api/v1/tool/sal/daily/2019-06-01/2019-06-30

I don't recommend or encourage it, but this can be used to list "all" dates by choosing the start and end dates to be at extremes.